Bug 116552 - JSC Assertion tests failures on MIPS.
Summary: JSC Assertion tests failures on MIPS.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 108664
  Show dependency treegraph
 
Reported: 2013-05-21 09:43 PDT by Balazs Kilvady
Modified: 2013-06-05 10:16 PDT (History)
9 users (show)

See Also:


Attachments
Fix branchAdd32 functions. (3.54 KB, patch)
2013-05-21 10:43 PDT, Balazs Kilvady
no flags Details | Formatted Diff | Diff
Fix branchAdd32 functions. (3.45 KB, patch)
2013-05-26 04:47 PDT, Balazs Kilvady
no flags Details | Formatted Diff | Diff
Fix branchAdd32 functions. (3.49 KB, patch)
2013-06-05 03:11 PDT, Balazs Kilvady
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balazs Kilvady 2013-05-21 09:43:41 PDT
Many tests fails with
ASSERTION FAILED: (cond == Overflow) || (cond == Signed) || (cond == Zero) || (cond == NonZero)
webkit/Source/JavaScriptCore/assembler/MacroAssemblerMIPS.h(1626)
Comment 1 Csaba Osztrogonác 2013-05-21 09:46:06 PDT
ARM traditional had a similar bug: https://bugs.webkit.org/show_bug.cgi?id=116538
Comment 2 Balazs Kilvady 2013-05-21 10:43:49 PDT
Created attachment 202450 [details]
Fix branchAdd32 functions.
Comment 3 Balazs Kilvady 2013-05-21 13:20:38 PDT
mozilla, SunSpider and v8 tests succeeded with this patch.
Comment 4 Darin Adler 2013-05-23 13:20:34 PDT
Comment on attachment 202450 [details]
Fix branchAdd32 functions.

View in context: https://bugs.webkit.org/attachment.cgi?id=202450&action=review

> Source/JavaScriptCore/assembler/MacroAssemblerMIPS.h:1633
> +        // ASSERT((cond == Overflow) || (cond == Signed) || (cond == Zero) || (cond == NonZero));

Why leave in this other assertion commented out? Please just delete it.
Comment 5 Balazs Kilvady 2013-05-26 04:47:25 PDT
Created attachment 202913 [details]
Fix branchAdd32 functions.

Wrong comment removed; rebased on r150711.
Comment 6 Balazs Kilvady 2013-06-05 03:11:54 PDT
Created attachment 203782 [details]
Fix branchAdd32 functions.

Rebased on r151202.
Comment 7 Geoffrey Garen 2013-06-05 09:54:34 PDT
Comment on attachment 203782 [details]
Fix branchAdd32 functions.

r=me
Comment 8 WebKit Commit Bot 2013-06-05 10:16:25 PDT
Comment on attachment 203782 [details]
Fix branchAdd32 functions.

Clearing flags on attachment: 203782

Committed r151228: <http://trac.webkit.org/changeset/151228>
Comment 9 WebKit Commit Bot 2013-06-05 10:16:27 PDT
All reviewed patches have been landed.  Closing bug.